Runtime

## org.eclipse.gmf.runtime.diagram.ui.dnd.parts
Class DiagramGraphicalViewerWithDnD

    java.lang.Object
      DiagramGraphicalViewer
          org.eclipse.gmf.runtime.diagram.ui.dnd.parts.DiagramGraphicalViewerWithDnD

    public class DiagramGraphicalViewerWithDnD

extends DiagramGraphicalViewer

Constructor Summary
`DiagramGraphicalViewerWithDnD(DiagramViewerDropAdapter dropAdapter)` Constructor

Method Summary
`protected DelegatingDropAdapter` `getDelegatingDropAdapter()`
`protected void` `refreshDropTargetAdapter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramGraphicalViewerWithDnD

    public DiagramGraphicalViewerWithDnD(DiagramViewerDropAdapter dropAdapter)

  Constructor

  Parameters:
    `dropAdapter` - The dropAdapter to set.

Method Detail

### getDelegatingDropAdapter

    protected DelegatingDropAdapter getDelegatingDropAdapter()

### refreshDropTargetAdapter

    protected void refreshDropTargetAdapter()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.